Bug 1467512 - Unable to fill objects different from rectangles with bitmap patterns in the LO writer
Unable to fill objects different from rectangles with bitmap patterns in the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
26
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 02:00 EDT by Joachim Backes
Modified: 2017-07-11 16:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: libreoffice-5.3.4.2-1.fc26 libreoffice-5.3.4.2-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 16:55:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2017-07-04 02:00:58 EDT
Description of problem:
Start the LO writer. Insert some round object (not a rectangle or square!!!) like a circle. Then select this object and edit the area properties: area->bitmap and select a bitmap pattern. Then the object will be covered by a rectangle (or square) containing this pattern. The primary shape is almost lost.

Version-Release number of selected component (if applicable):
libreoffice-5.3.4.2-1.fc26.x86_64


How reproducible:
always

Steps to Reproduce:
1.Open a LO writer document
2.Insert a circle at some position
3.Change the area properties by selecting some bitmap pattern
4. Say OK,

Actual results:
The shape is covered by a rectangle filled with this bitmap pattern

Expected results:
Only the original object is filled with the pattern

Additional info:
Comment 1 Joachim Backes 2017-07-04 02:29:53 EDT
Seems to dependend from the desktop environment in which LO is running: happens on all gnome Desktops (gnome/xwayland, gnome/X11,gnome/classic), Mate, but not on LXDE.
Comment 2 Joachim Backes 2017-07-04 03:45:04 EDT
Solved: By setting the option->view-> anti-aliasing to true, the filled objects now are presented correctly.
Comment 3 Caolan McNamara 2017-07-07 07:46:06 EDT
antialiasing is the default so turning off antialiasing reproduces the problem. I think in this case we have something mising or wrong in the cairo based svp/gtk3 backend
Comment 4 Caolan McNamara 2017-07-07 09:01:03 EDT
seems in this case we want to create a 1bit depth mask but are creating it as a 32bit one and things go downhill from there
Comment 5 Fedora Update System 2017-07-07 16:24:02 EDT
libreoffice-5.3.4.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-86f3d3ee33
Comment 6 Joachim Backes 2017-07-08 00:41:52 EDT
runs for me!
Comment 7 Fedora Update System 2017-07-08 22:53:52 EDT
libreoffice-5.3.4.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-86f3d3ee33
Comment 8 Fedora Update System 2017-07-11 16:55:50 EDT
libreoffice-5.3.4.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.